> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Consumer Profile



## OpenAPI

````yaml https://api.dispersed.com/openapi.json patch /v1/consumer-profiles/{uuid}
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/consumer-profiles/{uuid}:
    patch:
      tags:
        - Consumer Profiles
      summary: Update Consumer Profile
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: uuid
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchConsumerProfileRequest'
      responses:
        '200':
          description: Consumer profile updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumerProfileResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Admin-only fields require elevated permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Consumer profile entry not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    PatchConsumerProfileRequest:
      type: object
      properties:
        is_active:
          type: boolean
        is_compute_billing_enabled:
          type: boolean
        allowed_region_codes:
          type: array
          items:
            type: string
            enum:
              - ca-central-1
              - ca-west-1
              - mx-central-1
              - sa-east-1
              - us-east-1
              - us-east-2
              - us-west-1
              - us-west-2
              - eu-central-1
              - eu-central-2
              - eu-north-1
              - eu-south-1
              - eu-south-2
              - eu-west-1
              - eu-west-2
              - eu-west-3
              - ap-east-1
              - ap-east-2
              - ap-northeast-1
              - ap-northeast-2
              - ap-northeast-3
              - ap-south-1
              - ap-south-2
              - ap-southeast-1
              - ap-southeast-2
              - ap-southeast-3
              - ap-southeast-4
              - ap-southeast-5
              - ap-southeast-6
              - ap-southeast-7
              - cn-north-1
              - cn-northwest-1
              - af-south-1
              - il-central-1
              - me-central-1
              - me-south-1
          maxItems: 36
          description: >-
            Enforced region-code allowlist. When non-empty, jobs from this
            consumer are only assigned to nodes in these regions.
          example:
            - us-west-2
    ConsumerProfileResponse:
      type: object
      properties:
        uuid:
          type:
            - string
            - 'null'
        account_uuid:
          type:
            - string
            - 'null'
        is_active:
          type: boolean
        is_compute_billing_enabled:
          type: boolean
        render_user_id:
          type:
            - string
            - 'null'
        allowed_region_codes:
          type: array
          items:
            $ref: '#/components/schemas/RegionCode'
          default: []
        object:
          type: string
          enum:
            - consumer_profile
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - is_active
        - is_compute_billing_enabled
        - object
        - created_at
        - updated_at
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    RegionCode:
      type:
        - string
        - 'null'
      enum:
        - ca-central-1
        - ca-west-1
        - mx-central-1
        - sa-east-1
        - us-east-1
        - us-east-2
        - us-west-1
        - us-west-2
        - eu-central-1
        - eu-central-2
        - eu-north-1
        - eu-south-1
        - eu-south-2
        - eu-west-1
        - eu-west-2
        - eu-west-3
        - ap-east-1
        - ap-east-2
        - ap-northeast-1
        - ap-northeast-2
        - ap-northeast-3
        - ap-south-1
        - ap-south-2
        - ap-southeast-1
        - ap-southeast-2
        - ap-southeast-3
        - ap-southeast-4
        - ap-southeast-5
        - ap-southeast-6
        - ap-southeast-7
        - cn-north-1
        - cn-northwest-1
        - af-south-1
        - il-central-1
        - me-central-1
        - me-south-1
        - null
      default: null
      description: Coarse geographic-network region identifier (AWS-style naming).
      example: us-west-2
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````